CUTLASS: cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | List of all members
cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t > Struct Template Reference

Specialization for int8_t 4x4 transpose.

`#include <transpose.h>`

## Public Types
using | TransposeShape = layout::PitchLinearShape< 4, 4 >
using | Element = int8_t
using | Fragment = cutlass::Array< Element, kElementCount >

## Public Member Functions
CUTLASS_DEVICE void | transform (Fragment &dst, Fragment &src)

## Static Public Attributes
static const int | kElementCount = ElementCount_

## Member Typedef Documentation

template<int ElementCount_>

using cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t >::Element = int8_t

template<int ElementCount_>

using cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t >::Fragment = cutlass::Array<Element, kElementCount>

template<int ElementCount_>

using cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t >::TransposeShape = layout::PitchLinearShape<4,4>

## Member Function Documentation

template<int ElementCount_>

CUTLASS_DEVICE void cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t >::transform | ( | Fragment & | dst,
|  | Fragment & | src
| ) |  |
| inline

## Member Data Documentation

template<int ElementCount_>

const int cutlass::transform::thread::Transpose< ElementCount_, layout::PitchLinearShape< 4, 4 >, int8_t >::kElementCount = ElementCount_
| static

The documentation for this struct was generated from the following file:

- transpose.h